This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 215157 - How to configure "SHMConfig"
How to configure "SHMConfig"
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: synaptics (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Hutterer
bzcl34nup
:
: 212753 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-11 12:30 EST by Mary Ellen Foster
Modified: 2008-07-23 01:49 EDT (History)
4 users (show)

See Also:
Fixed In Version: 9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-23 01:49:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2006-11-11 12:30:26 EST
Description of problem:
In FC6, trying to use "synclient -l" results in the message:
    Can't access shared memory area. SHMConfig disabled?
I've added Option "SHMConfig" "true" to the "Synaptics" section of xorg.conf,
but this doesn't seem to have had any effect. Neither have my other attempts at
configuring the Synaptics driver in that file either, actually, so I suspect
that's not how to do the configuration with the current Xorg ...

gsynaptics and ksynaptics (from Extras) also both complain about the lack of
SHMConfig.


Version-Release number of selected component (if applicable):
synaptics-0.14.4-8.fc6

How reproducible:
Always

Steps to Reproduce:
1. Run "synclient -l" or any of the other synaptics commands
  
Actual results:
Complaints about SHMConfig not being enabled

Expected results:
Successful configuration of the synaptics driver
Comment 1 Klaus-Peter Schrage 2006-11-15 13:34:24 EST
I'm far from being an expert in synaptics, but apart from
        Option        "SHMConfig" "on"
I also have this one in my xorg.conf:
        Option        "UseShm" "true"
For me, synclient works.
Comment 2 Matěj Cepl 2007-12-13 18:30:37 EST
*** Bug 212753 has been marked as a duplicate of this bug. ***
Comment 3 Bug Zapper 2008-04-04 00:36:10 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Mary Ellen Foster 2008-04-09 12:09:00 EDT
Still an issue with Fedora 8 ...
Comment 5 Peter Hutterer 2008-07-23 01:49:23 EDT
This works fine in F9 using Option "SHMConfig" "true".

Closing bug, please reopen if you can still reproduce this problem. If so,
please attach a xorg log file so we can have a look at whether the driver is
getting the right device.


Note You need to log in before you can comment on or make changes to this bug.